#ifndef _MARCHINGCUBEMDIWINDOW_H_
#define _MARCHINGCUBEMDIWINDOW_H_

#include <qmainwindow.h>


class CVolume;
class CMarchingCubeView;
class MDIWindow;
class vtkImageData;
class vtkMarchingCubes;
class vtkPolyDataMapper;
class vtkLODActor;
class vtkActor;
class vtkOutlineFilter;


class MarchingCubeMDIWindow : public QMainWindow
{
	Q_OBJECT

public:
	MarchingCubeMDIWindow( QWidget *parent = 0, const char *name = 0, WFlags f = 0 );
	~MarchingCubeMDIWindow();

	bool init( CVolume *pVolume );
	
	CVolume *volume();
	CMarchingCubeView *marchingCubeView();

	void setMDIWindow( MDIWindow *pMDIWindow );
	MDIWindow *mdiWindow();

	bool exportToSTL( QString fn );

private:
	CVolume *m_pVolume;
	MDIWindow *m_pMDIWindow;
	CMarchingCubeView *m_pMarchingCubeView;

	vtkImageData *m_pVtkImageData;
	vtkMarchingCubes *m_pVtkMarchingCubes;
	vtkPolyDataMapper *m_pVtkSkinPolyDataMapper;
	vtkPolyDataMapper *m_pVtkOutlinePolyDataMapper;
	vtkOutlineFilter *m_pVtkOutlineFilter ;
	vtkActor *m_pVtkSkinActor;
	vtkActor *m_pVtkOutlineActor;
};

#endif // _MARCHINGCUBEMDIWINDOW_H_