#ifndef _VOXELINFODLG_H_
#define _VOXELINFODLG_H_

#include "global_define.h"
#include "../BaseDialog/Voxel/VoxelInfoDlg_base.h"


class CVolume;
class MDIWindow;
class GLMDIWindow;
class RenderMDIWindow;


class CVoxelInfoDlg : public CVoxelInfoDlg_base
{
	Q_OBJECT

public:
	CVoxelInfoDlg( QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags f=0 );
	~CVoxelInfoDlg();

	bool init( QWidget *pWidget );

public slots:
	void slotNoChange();
	void slotReset();
	void slotOk();
	void slotApply();
	void slotCancel();

protected:
	virtual void closeEvent( QCloseEvent * );

private:
	CVolume *m_pVolume;
	MDIWindow *m_pMDIWindow;
	GLMDIWindow *m_pGLMDIWindow;
	RenderMDIWindow *m_pRenderMDIWindow;

	float m_fOldWidth;
	float m_fOldHeight;
	float m_fOldDepth;

	float m_fNewWidth;
	float m_fNewHeight;
	float m_fNewDepth;

	int m_nMDIType;
};

#endif // _VOXELINFODLG_H_
