#ifndef _VTKQTRENDERWINDOW_H_
#define _VTKQTRENDERWINDOW_H_

#include <qgl.h>

#include <vtkRenderer.h>
#include <vtkRenderWindow.h>
#include <vtkLight.h>

class vtkQtRenderWindow : public QGLWidget 
{
	Q_OBJECT

public:
   vtkQtRenderWindow( QGLFormat glf, QWidget *parent = 0, const char *name = 0 );
   vtkQtRenderWindow( QWidget *parent = 0, const char *name = 0 );

   ~vtkQtRenderWindow();

   vtkRenderer *getRenderer();
   vtkRenderWindow *getRenderWindow();

protected:
   virtual void paintGL();
   virtual void initializeGL( );
   virtual void resizeGL( int w, int h );

private:
   void init();

private:
   bool m_bInitNeeded;
   vtkRenderer		*m_pVtkRenderer;
   vtkRenderWindow	*m_pVtkRenderWindow;
   vtkLight			*m_pVtkLight;
};

#endif // _VTKQTRENDERWINDOW_H_
