#include <stdio.h>
#include <stdlib.h>
#include <memory.h>

#include "dicom.h"

int main( void )
{
	char strName[256];
	IMAGE *images;
	int number;
	int w, h, frames, rgb;
	unsigned short *pix;
	unsigned char *data;
	double value;
	double max = -1000000.0;
	int i, j, k;

	printf( "*** Dicom Test ***\n" );
	printf( "Dicom File Name : " );
	scanf( "%s", strName );
	
	dicom_read( strName, &images, &number, 1 );

	for ( i=0 ; i<number ; i++ )
	{
		w = images[i].w;
		h = images[i].h;
		frames = images[i].frames;
		rgb = images[i].rgb;

		printf( "width  = %d\n", w );
		printf( "height = %d\n", h );
		printf( "frames = %d\n", frames );
		printf( "rgb    = %d\n", rgb );

		data = (unsigned char *) malloc( w*h*2 );
		memcpy( data, images[i].data.gray, w*h*2 );

		for ( j=0 ; j<w ; j++ )
		{
			for ( k=0 ; k<h ; k++ )
			{
				pix = (unsigned short*) data;
				value = (double) pix[0];
				data += 2;

				if ( *pix != 0 )
				{
					if ( max < value )
						max = value;

					printf( "%5d %5d = %10d %15.3lf\n", j+1, k+1, *pix, value );
				}
			}
		}

		printf( "max = %lf\n", max );
	}

	return -1;
}
