/************************************************************************/
/* MGIBA: Mesh Generator for Image Based Analysis                       */
/* ==============================================                       */
/*                                                                      */
/* Written by Yongchul Kim (blksaint@freechal.com)                      */
/* http://www.diniworld.com                                             */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/* Please read LICENSE.txt                                              */
/************************************************************************/


#ifndef _ANALYSISVOLUMEDLG_H_
#define _ANALYSISVOLUMEDLG_H_

#include "global_define.h"
#include "../BaseDialog/Volume/AnalysisVolumeDlg_base.h"
#include "AnalysisVolumeThread.h"

class CVolume;

class CAnalysisVolumeDlg : public CAnalysisVolumeDlg_base
{
	Q_OBJECT

public:
	CAnalysisVolumeDlg( QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags f=0 );
	~CAnalysisVolumeDlg();

	void init( CVolume *pVolume );

	void start();
	void stop();

public slots:
	void slotStart();
	void slotStop();
	void slotSave();
	void slotClose();

private:
	CVolume *m_pVolume;
	CAnalysisVolumeThread m_AnalysisVolumeThread;
}; // end of class CAnalysisVolumeDlg

#endif // _ANALYSISVOLUMEDLG_H_