/************************************************************************/
/* MGIBA: Mesh Generator for Image Based Analysis                       */
/* ==============================================                       */
/*                                                                      */
/* Written by Yongchul Kim (blksaint@freechal.com)                      */
/* http://www.diniworld.com                                             */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/* Please read LICENSE.txt                                              */
/************************************************************************/


#ifndef _DICOMFILE_H_
#define _DICOMFILE_H_


#include "global_define.h"
#include "../lib/dicom_lib/dicom.h"
#include <qimage.h>


class CDicomFile
{
public:
	CDicomFile();
	~CDicomFile();

	bool init( QString fileName );
	void close();

	int number() { return m_nNumber; }
	WORD width( int id = 1 );
	WORD height( int id = 1 );
	WORD frames( int id = 1 );
	WORD rgb( int id = 1 );

	WORD maxValue( int id = 1 );
	WORD minValue( int id = 1 );

	bool data( BYTE *pData, int id = 1 );

//	WORD value( int i, int j, int id = 1 );

	QImage image( int id = 1 );

protected:
	IMAGE *m_pDicomImages;

	int m_nNumber;
	WORD *m_pWidth;
	WORD *m_pHeight;
	WORD *m_pFrames;
	WORD *m_pRgb;

	WORD *m_pMinValue;
	WORD *m_pMaxValue;

	bool m_bOpenFlag;
}; // end of class CDicomFile

#endif // _DICOMFILE_H_
