/************************************************************************/
/* MGIBA: Mesh Generator for Image Based Analysis                       */
/* ==============================================                       */
/*                                                                      */
/* Written by Yongchul Kim (blksaint@freechal.com)                      */
/* http://www.diniworld.com                                             */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/* Please read LICENSE.txt                                              */
/************************************************************************/


#ifndef _MATERIALPROPERTYDLG_H_
#define _MATERIALPROPERTYDLG_H_

#include "../BaseDialog/MaterialProperty/MaterialPropertyDlg_base.h"


class CVolume;


class CMaterialPropertyDlg : public CMaterialPropertyDlg_base
{
	Q_OBJECT

public:
	CMaterialPropertyDlg( QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags f=0 );
	~CMaterialPropertyDlg();

	bool init( CVolume *pVolume );

public slots:
	void slotFileName();
	void slotFileNameChanged( const QString & );
	void slotEditChanged();
	void slotOk();
	void slotCancel();

private:
	CVolume *m_pVolume;
}; // end of class CMaterialPropertyDlg

#endif // _MATERIALPROPERTYDLG_H_
