/************************************************************************/
/* MGIBA: Mesh Generator for Image Based Analysis                       */
/* ==============================================                       */
/*                                                                      */
/* Written by Yongchul Kim (blksaint@freechal.com)                      */
/* http://www.diniworld.com                                             */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/* Please read LICENSE.txt                                              */
/************************************************************************/


#ifndef _MATHEXPPARSER_H_
#define _MATHEXPPARSER_H_

#include <qvector.h>

class QWidget;	//XXX
class QString;
class QChar;


class CMyVector : public QVector<QString>
{
public:
	virtual int compareItems( QCollection::Item d1, QCollection::Item d2 );
}; // end of CMyVector


typedef struct
{
	double (*func) ( double );
} MATH_EXP_FUNC;


class CMathExpParser
{
public:
	CMathExpParser( /*QWidget *parent*/ );
	~CMathExpParser();

	bool parse( QString, double *, int * );

private:
	void initFuncVector();
	void initFuncVectorName();

	bool isOperator( QChar c );

private:
	QVector<MATH_EXP_FUNC> m_VectorFunc;
	CMyVector m_VectorFuncName;

//	QWidget *m_pParent;
}; // end of class CMathExpParser

#endif // _MATHEXPPARSER_H_
