/************************************************************************/
/* MGIBA: Mesh Generator for Image Based Analysis                       */
/* ==============================================                       */
/*                                                                      */
/* Written by Yongchul Kim (blksaint@freechal.com)                      */
/* http://www.diniworld.com                                             */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/* Please read LICENSE.txt                                              */
/************************************************************************/


#ifndef _MESHFILTERINGINFODLG_H_
#define _MESHFILTERINGINFODLG_H_

#include "global_define.h"
#include "../BaseDialog/MeshFiltering/MeshFilteringInfoDlg_base.h"


class GLMDIWindow;


class CMeshFilteringInfoDlg : public CMeshFilteringInfoDlg_base
{
	Q_OBJECT
public:
	CMeshFilteringInfoDlg( QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags f=0 );
	~CMeshFilteringInfoDlg();

	bool init( unsigned long count, unsigned long filter );

public slots:
	void slotOk();
	void slotReport();

protected:
	virtual void reject();

private:
	GLMDIWindow *m_pGLMDIWindow;
}; // end of class CMeshFilteringInfoDlg

#endif // _MESHFILTERINGINFODLG_H_
