/************************************************************************/
/* MGIBA: Mesh Generator for Image Based Analysis                       */
/* ==============================================                       */
/*                                                                      */
/* Written by Yongchul Kim (blksaint@freechal.com)                      */
/* http://www.diniworld.com                                             */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/* Please read LICENSE.txt                                              */
/************************************************************************/


#ifndef _RENDERINFODLG_H_
#define _RENDERINFODLG_H_

#include "global_define.h"
#include "define.h"
#include "../BaseDialog/Rendering/RenderInfoDlg_base.h"

class CRenderInfoDlg : public CRenderInfoDlg_base
{
	Q_OBJECT

public:
	CRenderInfoDlg( QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags f=0 );
	~CRenderInfoDlg();

	bool init( RENDERINFO info );

	RENDERINFO renderInfo() { return m_ri; }

public slots:
	void slotOpacityMinChanged( int value );
	void slotOpacityMaxChanged( int value );

	void slotOk();
	void slotDefault();
	void slotCancel();

private:
	RENDERINFO m_ri;
}; // end of CRenderInfoDlg

#endif // _RENDERINFODLG_H_
