/************************************************************************/
/* MGIBA: Mesh Generator for Image Based Analysis                       */
/* ==============================================                       */
/*                                                                      */
/* Written by Yongchul Kim (blksaint@freechal.com)                      */
/* http://www.diniworld.com                                             */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/* Please read LICENSE.txt                                              */
/************************************************************************/


#ifndef _RENDEREDIMAGESIZE_H_
#define _RENDEREDIMAGESIZE_H_

#include "../BaseDialog/Rendering/RenderedImageSizeDlg_base.h"

class CRenderedImageSizeDlg : public CRenderedImageSizeDlg_base
{
	Q_OBJECT

public:
	CRenderedImageSizeDlg( QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags f=0 );
	~CRenderedImageSizeDlg();

	bool init( int ratio );

	int renderedImageSizeRatio() { return m_nImageSizeRatio; }

public slots:
	void slotOk();
	void slotCancel();

private:
	int m_nImageSizeRatio;
}; // end of class CRenderedImageSizeDlg

#endif // _RENDEREDIMAGESIZE_H_
