/************************************************************************/
/* MGIBA: Mesh Generator for Image Based Analysis                       */
/* ==============================================                       */
/*                                                                      */
/* Written by Yongchul Kim (blksaint@freechal.com)                      */
/* http://www.diniworld.com                                             */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/* Please read LICENSE.txt                                              */
/************************************************************************/


#ifndef __QUEUE_H__
#define __QUENE_H__

#include <stdlib.h>		// size_t

#include "link.h"		// Linked list toolkit

class CQueue
{
	MY_NODE *front_ptr;	// points to front of queue
	MY_NODE *rear_ptr;	// points to rear of queue
	size_t count;			// total number of items in the queue

public:
	// constructor and destructor
	CQueue();
	CQueue( const CQueue & source );
	~CQueue();

	// modification member functions
	void insert( const MY_NODE::Item & entry );
	MY_NODE::Item get_front();
	void clear();

	void operator = ( const CQueue & source );

	// constant member functions
	size_t size() const { return count; }
	bool is_empty() const { return (count == 0); }
}; // end of class CQueue

// #include "queue.cpp"
#endif
